package com.ssj.dao.sys.lesson.dao;

import java.util.List;
import java.util.Map;
public interface LessonServiceQueryDao {
    
	public List<Map<String,Object>> findByCoursePlan(String masterId);
	
	public List<Map<String,Object>> findByCourseFeedback(String masterId);
	
	public List<Map<String,Object>> findByCourseFeedback(String masterId,String vipId,String courseName);
	
	public List<Map<String,Object>> findByCourseRefund(String masterId);
	
	public List<Map<String,Object>> findByNextCoursePlan(String masterId,String vipId,String courseName);
	
	public List<Map<String,Object>> findParentNoPayLessonService(String vipId);
	
	public List<Map<String,Object>> findParentCoursePlan(String vipId);
	
	public List<Map<String,Object>> findParentCourseFeedback(String vipId);
	
	public List<Map<String,Object>> findParentGroupNoPayLessonService(String vipId);
	
	public List<Map<String,Object>> findParentGroupCoursePlan(String vipId);
	
	public List<Map<String,Object>> findParentGroupCourseFeedback(String vipId);
}
